package enum

// PlatformRevenueDataKind 平台营收-其他广告-种类
type PlatformRevenueDataKind int

const (
	AppOpenAds PlatformRevenueDataKind = iota + 1
	BannerAds
	InFeedAds
	InterstitialAds
)

func (kind PlatformRevenueDataKind) String() string {
	switch kind {
	case AppOpenAds:
		return "开屏广告"
	case BannerAds:
		return "banner 广告"
	case InFeedAds:
		return "信息流广告"
	case InterstitialAds:
		return "插屏广告"
	default:
		return "未知状态"
	}
}
